Subject: Re: bug#63050: "guix pull" requires graphical libraries

From: Ludovic Courtès <[email-masked]>
Date: Tue, 25 Apr 2023 23:48:05 +0200

Hi,

Andreas Enge <[email-masked]> skribis:

> While trying out a "guix pull" on an aarch64 machine, for which many
> packages are currently not available as substitutes, I notice an extra-
> ordinary amount of dependencies, see below (and since I interrupted and
> restarted it, there are even more dependencies in reality; I remember
> X11 libraries such as libxi and libxt). Many of them are related to
> graphical environments, which should not happen for a command line
> program. Chances are they are pulled in for building documentation
> (not necessarily of Guix, but of packages that are needed for pulling);
> but this is still undesirable and should be sorted out.

This is apparently coming from Graphviz:

--8<---------------cut here---------------start------------->8---
$ guix graph --path guix libx11
[email-masked]
[email-masked]
[email-masked]
$ guix graph --path guix libxt
[email-masked]
[email-masked]
[email-masked]
[email-masked]
--8<---------------cut here---------------end--------------->8---

Surprising to me, but apparently it’s been this way from the start,
commit b1b07d72c755ea314fb0c8333cd88293ee504ce4 (2013!).

Maybe these are optional dependencies?

Ludo’.